Skip to content
View as Markdown

GET Get Funnel Subscriber Reporting​

GET
/funnels/{id}/subscribers/{contact_id}

Retrieve detailed reporting for a specific subscriber within a funnel. Returns the subscriber's funnel progress, metrics, and all funnel sequences.

Authorizations​

ApplicationPasswords

WordPress Application Passwords — use Basic auth with your WordPress username and an application password in the format: username:application_password

Type
API Key (header: Authorization)

Parameters​

Path Parameters

id*

The funnel ID.

Type
integer
Required
contact_id*

The subscriber/contact ID.

Type
integer
Required

Responses​

Subscriber reporting data.

application/json
JSON
{
"funnel_subscriber": {
"id": 0,
"funnel_id": 0,
"subscriber_id": 0,
"status": "string",
"last_sequence_id": 0,
"next_sequence_id": 0,
"next_execution_time": "string",
"created_at": "string",
"updated_at": "string",
"last_sequence": {
},
"next_sequence_item": {
},
"metrics": [
{
"id": 0,
"funnel_id": 0,
"sequence_id": 0,
"subscriber_id": 0,
"benchmark_value": 0,
"benchmark_currency": "string",
"status": "string",
"notes": "string",
"created_at": "string",
"updated_at": "string"
}
]
},
"sequences": [
{
"id": 0,
"funnel_id": 0,
"action_name": "string",
"title": "string",
"type": "string",
"settings": {
},
"conditions": [
{
}
],
"sequence": 0,
"delay": 0,
"c_delay": 0,
"status": "string",
"parent_id": 0,
"condition_type": "string",
"children": {
"yes": [
],
"no": [
]
},
"created_by": 0,
"created_at": "string",
"updated_at": "string"
}
]
}

Playground​

Authorization
Variables
Key
Value

Samples​

Powered by VitePress OpenAPI